/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Radiosensitive Organs
 */
public enum EnumCV_RadiosensitiveOrgans {

	//Radiosensitive Organs - CID 10044
	ADRENAL_GLAND_T_B3000("T-B3000"),
	BLADDER_T_74000("T-74000"),
	BRAIN_T_A0100("T-A0100"),
	BREAST_T_04000("T-04000"),
	BONE_MARROW_T_C1000("T-C1000"),
	BONE_SURFACE_T_D0859("T-D0859"),
	COLON_T_59300("T-59300"),
	ESOPHAGUS_T_56000("T-56000"),
	EYE_LENSES_T_AA700("T-AA700"),
	GALL_BLADDER_T_63000("T-63000"),
	HEART_T_32000("T-32000"),
	KIDNEY_T_71000("T-71000"),
	LIVER_T_62002("T-62002"),
	LUNG_T_28000("T-28000"),
	LYMPH_NODE_T_C4000("T-C4000"),
	MUSCLE_T_13001("T-13001"),
	ORAL_MUCOSA_T_51300("T-51300"),
	OVARY_T_87000("T-87000"),
	PANCREAS_T_65000("T-65000"),
	PROSTATE_T_9200B("T-9200B"),
	SALIVARY_GLANDS_T_61007("T-61007"),
	SKIN_T_00009("T-00009"),
	SMALL_INTESTINE_T_58000("T-58000"),
	SPLEEN_T_C3000("T-C3000"),
	STOMACH_T_57000("T-57000"),
	TESTIS_T_94000("T-94000"),
	THYMUS_T_C8000("T-C8000"),
	THYROID_T_B6000("T-B6000"),
	UTERUS_T_83000("T-83000");

	private String value;

	EnumCV_RadiosensitiveOrgans(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
